#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0xe677305a, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0xa5c7a733, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x1592302e, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0xc26b8b13, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x10cc497f, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xce46024e, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x2d86074d, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0x1f154921, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xab4108fc, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x62146cb8, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xba99586b, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x62aec184, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x35e73b39, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x15db7f53, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0xce54b531, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x587499c7, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x7277363b, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x8539f6b6, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x06710a90, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0x7d4b3b8b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8661f267, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf54ddd67, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb71b9ac, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xe426fa97, "mt76_eeprom_init" },
	{ 0x23969a38, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1de1d110, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xcf077f14, "mt76_mcu_send_and_get_msg" },
	{ 0xebe65535, "mt76_eeprom_override" },
	{ 0x494e0cb1, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa6c3a468, "mt76_get_sar_power" },
	{ 0x91ba155a, "mt76x02_eeprom_copy" },
	{ 0xb4c72197, "mt76x02_mcu_calibrate" },
	{ 0x993e1f31, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x57686cd2, "mt76_get_min_avg_rssi" },
	{ 0x501ef3bf, "mt76_init_sar_power" },
	{ 0xc657c21a, "mt76x02_phy_adjust_vga_gain" },
	{ 0x6b4370c7, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "B855F1C5C8D938837BB73B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
