#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(felix_switch_ops, "_gpl", "");
KSYMTAB_FUNC(felix_port_to_netdev, "_gpl", "");
KSYMTAB_FUNC(felix_netdev_to_port, "_gpl", "");

SYMBOL_CRC(felix_switch_ops, 0xf669815e, "_gpl");
SYMBOL_CRC(felix_port_to_netdev, 0xf927f38d, "_gpl");
SYMBOL_CRC(felix_netdev_to_port, 0xf38d9b5f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x199db04, "ocelot_sb_tc_pool_bind_set" },
	{ 0x391d5819, "dsa_fdb_present_in_other_db" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x66df3681, "dsa_mdb_present_in_other_db" },
	{ 0x9c5a75b6, "ocelot_vcap_filter_add" },
	{ 0xc4eb9953, "ocelot_sb_port_pool_get" },
	{ 0x422f6c0b, "ocelot_port_setup_dsa_8021q_cpu" },
	{ 0x57d31232, "ocelot_port_teardown_dsa_8021q_cpu" },
	{ 0x8b4d53b6, "ocelot_port_inject_frame" },
	{ 0x5199b4bd, "ocelot_mrp_add" },
	{ 0x6bbc893b, "ocelot_sb_occ_port_pool_get" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xbf3ecebe, "ocelot_sb_pool_set" },
	{ 0x1caa0d51, "ocelot_lag_fdb_del" },
	{ 0xfd505d70, "ocelot_vcap_filter_del" },
	{ 0xeb0b4ee, "ocelot_cls_flower_stats" },
	{ 0x9e70514c, "ocelot_sb_pool_get" },
	{ 0x62d3f8ec, "ocelot_phylink_mac_link_up" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbba27c7c, "ocelot_deinit_port" },
	{ 0x47a3cea8, "ocelot_can_inject" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xf07e7c55, "ocelot_port_mirror_add" },
	{ 0xf9135036, "ocelot_fdb_dump" },
	{ 0x5b5f1e6, "ocelot_vlan_prepare" },
	{ 0xbab144a2, "dsa_tag_8021q_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9a7bd604, "ocelot_set_ageing_time" },
	{ 0x9ff3b3f9, "__ocelot_rmw_ix" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xb79c6fee, "ocelot_hwstamp_set" },
	{ 0x7ea8f08a, "ocelot_port_policer_del" },
	{ 0x182cd812, "ocelot_port_lag_change" },
	{ 0x6650111a, "consume_skb" },
	{ 0x3a826e71, "ocelot_port_policer_add" },
	{ 0x2109e46e, "ocelot_port_mdb_add" },
	{ 0xa8fcdfec, "ocelot_vlan_add" },
	{ 0xb1548a1b, "ocelot_sb_tc_pool_bind_get" },
	{ 0x580bd4a7, "ocelot_port_bridge_flags" },
	{ 0x843a553d, "ocelot_devlink_sb_unregister" },
	{ 0x8be58446, "ocelot_port_bridge_leave" },
	{ 0x80e308e6, "ocelot_port_set_maxlen" },
	{ 0x6fd62055, "ocelot_vcap_filter_replace" },
	{ 0xa57069ac, "ocelot_get_max_mtu" },
	{ 0xdec62384, "regmap_fields_update_bits_base" },
	{ 0x59dac96c, "ocelot_sb_occ_snapshot" },
	{ 0x5ab63457, "ocelot_get_ts_info" },
	{ 0xc3803a32, "ocelot_sb_occ_max_clear" },
	{ 0x8df63161, "ocelot_port_get_mm" },
	{ 0x7630806a, "ocelot_ptp_gettime64" },
	{ 0xe1d7d800, "ocelot_get_strings" },
	{ 0x37a0cba, "kfree" },
	{ 0x16c33ade, "ocelot_sb_occ_tc_port_bind_get" },
	{ 0x45c8cb02, "ocelot_port_add_dscp_prio" },
	{ 0x6e3f9989, "ocelot_drain_cpu_queue" },
	{ 0xd3870ae9, "ocelot_port_mirror_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2ee2eeab, "ocelot_vcap_block_find_filter_by_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfb365070, "__ocelot_read_ix" },
	{ 0xc9b8daf2, "ocelot_port_get_pause_stats" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x5f44a0e0, "dsa_port_from_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7b7ef1a6, "ocelot_get_sset_count" },
	{ 0x7d2f3c9e, "ocelot_migrate_mdbs" },
	{ 0xac119c7d, "ocelot_hwstamp_get" },
	{ 0x32b0fe09, "ocelot_port_txtstamp_request" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeab108e6, "ocelot_port_bridge_join" },
	{ 0x37468d4d, "ocelot_fdb_add" },
	{ 0x24c011d3, "ocelot_port_unassign_dsa_8021q_cpu" },
	{ 0x4fd53d14, "ocelot_xtr_poll_frame" },
	{ 0xce5d0d99, "ocelot_port_get_default_prio" },
	{ 0xf91fb9c8, "ptp_classify_raw" },
	{ 0x1d870673, "ocelot_port_set_default_prio" },
	{ 0xeafac164, "dsa_tag_8021q_register" },
	{ 0x50835487, "ocelot_port_get_mm_stats" },
	{ 0xdc5a740a, "ocelot_deinit" },
	{ 0x23969a38, "_dev_err" },
	{ 0x66ccd77d, "ocelot_vlan_del" },
	{ 0xf2d6f055, "ocelot_bond_get_id" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x4bcea954, "ocelot_get_ethtool_stats" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd4669b36, "ocelot_cls_flower_destroy" },
	{ 0xda1e7085, "ocelot_port_vlan_filtering" },
	{ 0x9e90dcc3, "ocelot_port_get_rmon_stats" },
	{ 0x3eb0775d, "ocelot_port_assign_dsa_8021q_cpu" },
	{ 0xacfd82b3, "ocelot_lag_fdb_add" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x64a234e2, "ocelot_bridge_stp_state_set" },
	{ 0xc1a7a0d2, "__ocelot_write_ix" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa02b2033, "netif_rx" },
	{ 0x7b50ffc4, "ocelot_port_get_eth_ctrl_stats" },
	{ 0x82d1ed1d, "ocelot_fdb_del" },
	{ 0xecc36acd, "ocelot_phylink_mac_link_down" },
	{ 0xab6402e9, "ocelot_port_lag_join" },
	{ 0x56695b2, "ocelot_port_get_eth_phy_stats" },
	{ 0xc485cd77, "ocelot_port_lag_leave" },
	{ 0x14755933, "ocelot_mrp_add_ring_role" },
	{ 0x7ff5023c, "ocelot_port_set_mm" },
	{ 0xfc207bd4, "ocelot_deinit_timestamp" },
	{ 0x875bd7, "ocelot_cls_flower_replace" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x489c7311, "ocelot_port_get_stats64" },
	{ 0xf8df8c4a, "ocelot_port_get_dscp_prio" },
	{ 0x93763e6d, "ocelot_port_mdb_del" },
	{ 0xac4d8c44, "ocelot_port_get_eth_mac_stats" },
	{ 0x975fc99a, "ocelot_mact_flush" },
	{ 0xa3076888, "ocelot_sb_port_pool_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbf25a063, "ocelot_port_pre_bridge_flags" },
	{ 0x7cb5bc0a, "ocelot_port_del_dscp_prio" },
	{ 0xff0f8f0e, "ocelot_mrp_del_ring_role" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "mscc_ocelot_switch_lib,dsa_core");


MODULE_INFO(srcversion, "0ACCA05D67051E9043BC8AD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
