#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x72dc9c53, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xa7a1144f, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x5d64186f, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xebb45fe4, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xba5e2345, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x90117ec7, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x3996a2a1, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xed227eb6, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xc0c1b859, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x627e76f3, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x24c78a6d, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x3597f9bc, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x944acac2, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x2dd6e772, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xc1500a7c, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xc6a9240e, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x935f0e49, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x8173c9db, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x82840363, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x91486943, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xeb53db35, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x6bd15ef4, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x73d7c809, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x1273c051, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x74266e6d, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x82e25478, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xe8a814fc, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x1ba5799e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x07e473c1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x2e112ce8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x3962d8a8, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xb4c72197, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x52e82ce9, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x616dc29f, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x91ba155a, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xf54ddd67, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x1de1d110, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x8661f267, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xfb71b9ac, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x494e0cb1, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xa31fe052, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x600e473f, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x993e1f31, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x1671e198, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xec847b31, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xc657c21a, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xb3377a81, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xe8d8d332, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xfcfb283e, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x3cf38e80, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x21833c33, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xdf7d92b4, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x9547e6f4, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xe72dc381, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x0dc76184, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0xa5725de0, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x4c9bfed4, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xe98d2b0a, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x2166227a, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x6b4370c7, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xf3d181f0, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x556c3b35, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xf2dd74da, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x91bdbede, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x93ef751a, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x92d5b896, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7538dc2e, "mt76_csa_check" },
	{ 0xacc7f18f, "mt76_tx_status_skb_add" },
	{ 0xa05dc9bc, "__tracepoint_mac_txdone" },
	{ 0x43a1392c, "mt76_tx_check_agg_ssn" },
	{ 0xa9d3bafd, "ieee80211_tx_status_ext" },
	{ 0xdc04e8a7, "mt76_stop_tx_queues" },
	{ 0xf08db92f, "___pskb_trim" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c5dd9c6, "__mt76_tx_complete_skb" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x72f56a76, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x577088c9, "ieee80211_restart_hw" },
	{ 0xc5799bdc, "bpf_trace_run2" },
	{ 0xcc774db, "ieee80211_get_hdrlen_from_skb" },
	{ 0x9c86329c, "kthread_park" },
	{ 0xd84fd48, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4586f564, "mt76_tx_status_check" },
	{ 0x633ac09a, "wake_up_process" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x4d760586, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x23978d28, "napi_complete_done" },
	{ 0xe02a573, "ieee80211_get_tx_rates" },
	{ 0x4cf7fe25, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9926777, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8ed556b5, "mt76_tx" },
	{ 0x3286d9ad, "__napi_schedule" },
	{ 0x43711f00, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6dac9438, "mt76_wcid_key_setup" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x25b1fb68, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xf59ab5bb, "mt76_rx" },
	{ 0xfe1f5591, "kthread_unpark" },
	{ 0xdef70398, "mt76_phy_dfs_state" },
	{ 0x3f88207c, "wiphy_to_ieee80211_hw" },
	{ 0x7eea2fbe, "mt76_init_queue" },
	{ 0xc18a451, "debugfs_attr_read" },
	{ 0x67218a80, "__mt76_sta_remove" },
	{ 0x16c3d03, "mt76_tx_status_skb_done" },
	{ 0x20b8d08e, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb824ba71, "perf_trace_run_bpf_submit" },
	{ 0x23969a38, "_dev_err" },
	{ 0x1741b605, "debugfs_create_bool" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0xe17324af, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfb3678d4, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x1e67c3a1, "napi_enable" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0x2fb90e3, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xcebf7213, "ieee80211_wake_queues" },
	{ 0xcf077f14, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x98679ec4, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0x95d0be00, "__mt76_mcu_msg_alloc" },
	{ 0x5f7dfd00, "mt76_set_irq_mask" },
	{ 0x3a9ac319, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x7891a66, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ce3a50f, "debugfs_create_u32" },
	{ 0x64246c52, "__SCK__tp_func_mac_txdone" },
	{ 0xab7afca4, "mt76_seq_puts_array" },
	{ 0x9a50201a, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82f4bee9, "__tracepoint_dev_irq" },
	{ 0x36a40d72, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3fb92c17, "mt76_mcu_get_response" },
	{ 0x7dfb3e5e, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x9d57ffb7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc3cd5a21, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfb8467b3, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5b075eed, "____mt76_poll_msec" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0x9a52ce9d, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x10c269d8, "seq_puts" },
	{ 0x1a7a6b30, "ieee80211_radar_detected" },
	{ 0x4b6b9976, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7e48be6e, "mt76_queues_read" },
	{ 0xf6611de5, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xaf4c05ae, "napi_schedule_prep" },
	{ 0xf1791c2f, "napi_disable" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0xffb10c89, "__mt76_poll" },
	{ 0x21426603, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x313bbffd, "debugfs_create_u8" },
	{ 0x86cb7f61, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8f86beba, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe9849ecd, "ieee80211_sta_register_airtime" },
	{ 0xb495b975, "mt76_dma_rx_poll" },
	{ 0x6e405e63, "mt76_tx_status_unlock" },
	{ 0xd2a7a45, "simple_attr_open" },
	{ 0xdbd9fdd4, "debugfs_attr_write" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6650111a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x79fc083, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x39c15c27, "mt76_tx_status_skb_get" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0x4ad0deab, "mt76_tx_status_lock" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "FD229E656F7B0E92162B15B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
